/* VIDEO.H : Prototypes for contents of user-written VIDEO.LIB */
/* Describes calls to ROM BIOS video functions */

int videomode (int *ncols);
int activepage (void);
void setmode (int mode);
void setcursor (int start, int end);
int curstart (void);
int cursend (void);
void cursoff (void);
void curson (void);
void gotoxy (int col, int row, int page);
int wherex (int page);
int wherey (int page);
void setpage (int page);
void cls (void);
void window (int x1, int y1,int x2, int y2, char attrib);
void winscroll (int x1, int y1, int x2, int y2, int attr);                       /* one line upward */
char chattr (int foregrnd, int backgrnd);
char rdchara (int page, char *attrib);
void wrtcha (char ch, char attrib, int page);
void wrtstra (char *str, char attrib, int page);
void wrtch (char ch, int color, int page);
void wrtstr (char *str, char color, int page);
void palette (int palno);
void graphbackround (int color);
void plot (intx, int y, int pixel);
int pixel (int x, int y);

